/*****************************************************************************/
/* tel_oper.c                                      I.P.S  v 3.8a  27/06/1996 */
/*                                                                           */
/*                                             Edouard.Thiel@lim.univ-mrs.fr */
/*****************************************************************************/
/* MODULE D'APPEL DES OPERATEURS                                             */
/*                                                   Mettez votre nom ici    */
/*****************************************************************************/

/*
 * Ce include appelle tous les .h qu'il faut, y compris math.h.
 * Toutes les macro-commandes telles que CO_GET_INT y sont definies.
 * N'hesitez pas a le lire pour avoir la liste et la syntaxe des macros.
*/
#include "../IpsDir/include/tel_oper.h"


CO_BEGIN_CALL_OPER

  /* -------------------------------------------------------------------------
   * Boite de la transformation affine
  */

  CO_BEGIN_CONNECT ("TransAffine")
      CO_BEGIN_DEF
	IPS_NAME, "Transfo Affine" , 
	IPS_IMAGE_IN , 1 , "Quelconque" , 
	IPS_IMAGE_OUT, 2 , "Affine" , 
	IPS_PAR_REAL, 1 , "MUL" , "-100" ,"100" ,"1.5" ,
	IPS_PAR_INT,  2 , "ADD" , -255 ,255 ,5 ,
      CO_END_DEF
      CO_BEGIN_EXE
	double fois = CO_GET_REAL(1);
	int    plus = CO_GET_INT(2);
	ex1_affine ( p->pix[1], p->pix[2], p->ysiz, p->xsiz, fois, plus );
       CO_END_EXE
  CO_END_CONNECT


  /* -------------------------------------------------------------------------
   * Placez ci-dessous vos propres operateurs, comme cela est explique'
   * dans le menu [Help] / [Les Operateurs]
  */




CO_END_CALL_OPER
