/***************************************************************************************/
/* attributs.h                                                I.P.S  v 3.7  11/03/1996 */
/*                                                                                     */
/*                                                       Edouard.Thiel@lim.univ-mrs.fr */
/***************************************************************************************/

#ifndef _IPS_ATTRIBUTS_H_
#define _IPS_ATTRIBUTS_H_


#define  IPS_ACT_DEF			10101
#define  IPS_ACT_DIM			10102
#define  IPS_ACT_EXE			10103
#define  IPS_ACT_CHOICE			10105
#define  IPS_ACT_FIG			10106
#define  IPS_ACT_OK			10111
#define  IPS_ACT_Naction		10112
#define  IPS_ACT_Nidf			10113

#define  IPS_MODE_CREAT			10201
#define  IPS_MODE_USE			10202

#define  IPS_FIRST_DATA			10300
#define  IPS_IMAGE			10301
#define  IPS_MATRI			10302
#define  IPS_VOR2D			10303
#define  IPS_TOOL			10304
#define  IPS_LAST_DATA			10379

#define  IPS_FIRST_ACTION		10380
#define  IPS_OPER			10381
#define  IPS_MACRO			10382
#define  IPS_TELOP			10383
#define  IPS_LAST_ACTION		10399

#define  IPS_IS_DATA(x)			(x >= IPS_FIRST_DATA && \
					 x <= IPS_LAST_DATA)
#define  IPS_IS_ACTION(x)		(x >= IPS_FIRST_ACTION && \
					 x <= IPS_LAST_ACTION)

#define  IPS_NAME			10401
#define  IPS_IDF			10402
#define  IPS_NAME2			10403

#define  IPS_PAR_REAL			10501
#define  IPS_PAR_INT			10502
#define  IPS_PAR_TEXT			10503
#define  IPS_PAR_CHOICE			10504
#define  IPS_PAR_CH_ABR			10505
#define  IPS_PAR_SLIDER			10506
#define  IPS_PAR_CHK_BOX		10507
#define  IPS_PAR_MESSAGE		10508

#define  IPS_PAR_MIN			10551
#define  IPS_PAR_MAX			10552
#define  IPS_PAR_DEFAULT		10553
#define  IPS_PAR_NB			10554
#define  IPS_PAR_TYPE			10555
#define  IPS_PAR_ACTIVE			10556
#define  IPS_PAR_ALIGN			10557

#define  IPS_IMAGE_IN			10601
#define  IPS_IMAGE_OUT			10602
#define  IPS_IMAGE_INFOS		10605
#define  IPS_BORDER			10611
#define  IPS_BORDER_ANY			10612
#define  IPS_BORDER_POSIT		10613
#define  IPS_BORDER_NOONE		10614
#define  IPS_SAME_SIZE			10621

#define  IPS_COUL			10801
#define  IPS_COUL_16C			0
#define  IPS_COUL_64G			1
#define  IPS_COUL_BWC			2
#define  IPS_COUL_LIST			"16 colors", "256 grey levels", "16 colors + greys"

#define  IPS_FIG_IMAGE			10901
#define  FIG_NONE			11
#define  FIG_REFRESH			12
#define  FIG_DONE			13
#define  FIG_PUSH			21
#define  FIG_RELEASE			22
#define  FIG_DRAG			23
#define  FIG_CANCEL			24
#define  FIG_COLOR			31
#define  FIG_MODE			32
#define  FIG_XOR			33
#define  FIG_CPY			34
#define  FIG_CLEAN			35
#define  FIG_CENTER			36
#define  FIG_DO_RUN			37
#define  FIG_DRAW_POINT			41
#define  FIG_DRAW_LINE			42
#define  FIG_DRAW_RECT			43
#define  FIG_DRAW_CIRC			44
#define  FIG_DRAW_ELLIP			45
#define  FIG_DRAW_ARC			46
#define  FIG_DRAW_TRIANG		47
#define  FIG_FILL_RECT			51
#define  FIG_FILL_ARC			52
#define  FIG_FILL_TRIANG		53
#define  FIG_DRAW_CROSS			61
#define  FIG_DRAW_CURSOR		62
#define  FIG_DRAW_MARK			65
#define  FIG_DRAW_LABEL			66
#define  FIG_DRAW_VALUE			67


#endif /* _IPS_ATTRIBUTS_H_ */


