/*
    coulx.h - Edouard Thiel - 25/02/1999

    Module permettant de calculer et afficher des Ximage.
*/

/* Fonctions publiques */

extern void CoulxPreInit (int force_lut);

extern void CoulxInit (Display *display, Visual *visual, int depth);

extern void CoulxAffiInfos ();

extern XImage *CoulxCalcXImage (unsigned char *tabR, unsigned char *tabG,
               unsigned char *tabB, int width, int height);
               
extern void CoulxAffiImage (Window win, GC gc, XImage *xi,
               int dest_x, int dest_y);
               
extern void CoulxLibererImage (XImage *xi);
