/***************************************************************************************/
/* figw.h                                                     I.P.S  v 3.7  14/3/1996  */
/*                                                                                     */
/*                                                       Edouard.Thiel@lim.univ-mrs.fr */
/***************************************************************************************/

#define EV_LIST_MAX 1600

typedef struct {
	int	num_ima  [OPER_VECM];	/* [i] affecte' si > 0 */
	char	*legende [OPER_VECM];	/* peut etre nul */
	Edi	*edi     [OPER_VECM];	/* NULL si fen fermee */

	int	do_run,			/* flag pour enchainer sur un Run */
		ev_top;			/* place du prochain evt ; 0 si ev_list vide */
	char	ev_list[EV_LIST_MAX];	/* liste d'evenements commune */

	int	draw_color,		/* 0.255 (index BWC) */
		draw_mode;		/* FIG_XOR, FIG_CPY */
	} Fig_data;


extern Fig_data *fig_new ();
extern void fig_free ();
extern Fig_data *fig_duplic ();
extern void fig_decode_def ();
extern void fig_vide_ev_list ();

extern void fig_show_windows ();
extern Edi *fig_create_win  ();
extern void fig_repaint_proc ();
extern void fig_done_proc ();
extern int fig_event_proc ();
extern void fig_record_event ();
extern void fig_decode_dessins ();


